Retrieve the beneficiaries created by a mass beneficiary
curl --request GET \
--url https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"request_index": 123,
"beneficiary_id": "<string>",
"links": {
"beneficiary_href": "<string>"
}
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Mass Beneficiaries
Retrieve the beneficiaries created by a mass beneficiary
GET
/
mass-beneficiaries
/
{mass_beneficiary_id}
/
beneficiaries
Retrieve the beneficiaries created by a mass beneficiary
curl --request GET \
--url https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"request_index": 123,
"beneficiary_id": "<string>",
"links": {
"beneficiary_href": "<string>"
}
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Retrieve the beneficiaries successfully created in a mass beneficiary instruction
Please note that if the mass beneficiary status is
pending then an empty list will be returned.Headers
The access token.
Path Parameters
The ID of the mass beneficiary.
Query Parameters
The identifier of a client.
The desired page number for pagination. By default is 1.
The number of items per page for pagination. By default is 50.